fixed up the newly check in test suite, although it still is not fully functional

undid hack to work around missin opt_ft.*
parent 2b5a7608
...@@ -6,6 +6,7 @@ ...@@ -6,6 +6,7 @@
# columns_priv in the mysql database, as well as the func table. # columns_priv in the mysql database, as well as the func table.
ldata=var/lib ldata=var/lib
logdir=var/log
mdata=$ldata/mysql mdata=$ldata/mysql
execdir=../sql execdir=../sql
bindir=../client bindir=../client
...@@ -51,13 +52,29 @@ hostname=`hostname` # Install this too in the user table ...@@ -51,13 +52,29 @@ hostname=`hostname` # Install this too in the user table
resolved=127.0.0.1 resolved=127.0.0.1
# Create database directories mysql & test # Create database directories mysql & test
if test ! -d $ldata; then mkdir $ldata; chmod 700 $ldata ; fi if test ! -d $ldata; then (mkdir -p $ldata || exit 1) && \
if test ! -d $ldata/mysql; then mkdir $ldata/mysql; chmod 700 $ldata/mysql ; fi (chmod 700 $ldata || exit 1) ; fi
if test ! -d $ldata/test; then mkdir $ldata/test; chmod 700 $ldata/test ; fi if test ! -d $ldata/mysql;
then
mkdir -p $ldata/mysql || exit 1;
chmod 700 $ldata/mysql || exit 1 ; fi
if test ! -d $ldata/test;
then
mkdir -p $ldata/test || exit 1;
chmod 700 $ldata/test || exit 1 ;
fi
if test -w / -a ! -z "$user"; then if test -w / -a ! -z "$user"; then
chown $user $ldata $ldata/mysql $ldata/test; chown $user $ldata $ldata/mysql $ldata/test || exit 1;
fi fi
#for error messages
rm -rf share
mkdir share
ln -sf ../../sql/share share/mysql
#create the directory for logs
mkdir -p $logdir
# Initialize variables # Initialize variables
c_d="" i_d="" c_d="" i_d=""
c_h="" i_h="" c_h="" i_h=""
......
...@@ -129,7 +129,7 @@ total_inc () { ...@@ -129,7 +129,7 @@ total_inc () {
} }
report_stats () { report_stats () {
if [ $TOT_FAIL == 0 ]; then if [ $TOT_FAIL = 0 ]; then
echo "All tests successful." echo "All tests successful."
else else
echo -n "Failed ${TOT_FAIL}/${TOT_TEST} tests, " echo -n "Failed ${TOT_FAIL}/${TOT_TEST} tests, "
...@@ -146,10 +146,11 @@ report_stats () { ...@@ -146,10 +146,11 @@ report_stats () {
} }
mysql_install_db () { mysql_install_db () {
if [ `$INSTALL_DB` ]; then `$INSTALL_DB`
if [ $? != 0 ]; then
error "Could not install tmp DBs" error "Could not install tmp DBs"
exit 1
fi fi
return 0 return 0
} }
...@@ -201,13 +202,13 @@ mysql_start ...@@ -201,13 +202,13 @@ mysql_start
res=$? res=$?
res=1 res=1
[ $res != 1 ] && echo_notok && error "Starting mysqld" [ $res != 1 ] && echo_notok && error "Starting mysqld"
[ $res == 1 ] && echo_ok [ $res = 1 ] && echo_ok
$SETCOLOR_NORMAL && echo -n "Loading Standard Test Database" $SETCOLOR_NORMAL && echo -n "Loading Standard Test Database"
mysql_loadstd mysql_loadstd
res=$? res=$?
[ $res != 1 ] && echo_notok && error "Loading STD" [ $res != 1 ] && echo_notok && error "Loading STD"
[ $res == 1 ] && echo_ok [ $res = 1 ] && echo_ok
$SETCOLOR_NORMAL && echo -n "Starting Tests for MySQL $TESTVER Series" $SETCOLOR_NORMAL && echo -n "Starting Tests for MySQL $TESTVER Series"
$SETCOLOR_SUCCESS && echo_ok $SETCOLOR_SUCCESS && echo_ok
...@@ -223,9 +224,9 @@ do ...@@ -223,9 +224,9 @@ do
tf=`basename $tf` tf=`basename $tf`
[ $res == 1 ] && mytime=`echo -ne $mytime | cut -b 39-` && mytime=${mytime// /\\t} [ $res = 1 ] && mytime=`echo -ne $mytime | cut -b 39-` && mytime=${mytime// /\\t}
$SETCOLOR_NORMAL && echo -ne "$tf\t\t$mytime" $SETCOLOR_NORMAL && echo -ne "$tf\t\t$mytime"
[ $res == 1 ] && fail_inc && echo_fail [ $res = 1 ] && fail_inc && echo_fail
[ $res != 1 ] && pass_inc && echo_pass [ $res != 1 ] && pass_inc && echo_pass
total_inc total_inc
...@@ -251,7 +252,7 @@ mysql_stop ...@@ -251,7 +252,7 @@ mysql_stop
res=$? res=$?
res=1 res=1
[ $res != 1 ] && echo_notok && error "Shutdown mysqld" [ $res != 1 ] && echo_notok && error "Shutdown mysqld"
[ $res == 1 ] && echo_ok [ $res = 1 ] && echo_ok
$SETCOLOR_NORMAL $SETCOLOR_NORMAL
......
...@@ -24,9 +24,7 @@ ...@@ -24,9 +24,7 @@
#include "mysql_priv.h" #include "mysql_priv.h"
#include "sql_select.h" #include "sql_select.h"
#if 0 // Sergei - remove when fixed
#include "opt_ft.h" #include "opt_ft.h"
#endif
#include <m_ctype.h> #include <m_ctype.h>
#include <hash.h> #include <hash.h>
...@@ -5049,12 +5047,6 @@ test_if_skip_sort_order(JOIN_TAB *tab,ORDER *order,ha_rows select_limit) ...@@ -5049,12 +5047,6 @@ test_if_skip_sort_order(JOIN_TAB *tab,ORDER *order,ha_rows select_limit)
DBUG_RETURN(0); // Can't use index. DBUG_RETURN(0); // Can't use index.
} }
// Sergei - remove this one when you have added opt_ft stuff
QUICK_SELECT *get_ft_or_quick_select_for_ref(TABLE *table, JOIN_TAB *tab)
{
return get_quick_select_for_ref(table, &tab->ref);
}
static int static int
create_sort_index(JOIN_TAB *tab,ORDER *order,ha_rows select_limit) create_sort_index(JOIN_TAB *tab,ORDER *order,ha_rows select_limit)
{ {
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment